Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Class UserTransactionServerImp_Stub

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteStub
              com.atomikos.icatch.jta.UserTransactionServerImp_Stub

All Implemented Interfaces:
  UserTransactionServer, Serializable, Remote

    public final class UserTransactionServerImp_Stub

extends RemoteStub
implements UserTransactionServer

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`UserTransactionServerImp_Stub()`
`UserTransactionServerImp_Stub(RemoteRef ref)`

Method Summary
`String` | `begin(int $param_int_1)` Create a new transaction.
`void` | `commit(String $param_String_1)` Commit the transaction.
`int` | `getStatus(String $param_String_1)` Get the status of the transaction.
`void` | `rollback(String $param_String_1)` Rollback the transaction.
`void` | `setRollbackOnly(String $param_String_1)` Mark the transaction for rollback only.

Methods inherited from class java.rmi.server.RemoteStub
`setRef`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserTransactionServerImp_Stub

    public UserTransactionServerImp_Stub()

### UserTransactionServerImp_Stub

    public UserTransactionServerImp_Stub(RemoteRef ref)

Method Detail

### begin

    public String begin(int $param_int_1)
                 throws RemoteException,
                        NotSupportedException,
                        SystemException

  Description copied from interface: `UserTransactionServer`
  Create a new transaction.

  Specified by:
    `begin` in interface `UserTransactionServer`
  Parameters:
    `$param_int_1` - The timeout setting of the client UserTx.
  Returns:
    String The tid of the transaction.
  Throws:
    `RemoteException`
    `NotSupportedException`
    `SystemException`

### commit

    public void commit(String $param_String_1)
                throws IllegalStateException,
                       SecurityException,
                       RemoteException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       RollbackException,
                       SystemException

  Description copied from interface: `UserTransactionServer`
  Commit the transaction.

  Specified by:
    `commit` in interface `UserTransactionServer`
  Parameters:
    `$param_String_1` - The tid of the tx to commit.
  Throws:
    `IllegalStateException`
    `SecurityException`
    `RemoteException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `RollbackException`
    `SystemException`

### getStatus

    public int getStatus(String $param_String_1)
                  throws RemoteException,
                         SystemException

  Description copied from interface: `UserTransactionServer`
  Get the status of the transaction.

  Specified by:
    `getStatus` in interface `UserTransactionServer`
  Parameters:
    `$param_String_1` - The tid.
  Returns:
    int The status, as defined in JTA.
  Throws:
    `RemoteException`
    `SystemException`

### rollback

    public void rollback(String $param_String_1)
                  throws IllegalStateException,
                         SecurityException,
                         RemoteException,
                         SystemException

  Description copied from interface: `UserTransactionServer`
  Rollback the transaction.

  Specified by:
    `rollback` in interface `UserTransactionServer`
  Parameters:
    `$param_String_1` - The tid of the transaction to rollback.
  Throws:
    `IllegalStateException`
    `SecurityException`
    `RemoteException`
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly(String $param_String_1)
                         throws IllegalStateException,
                                RemoteException,
                                SystemException

  Description copied from interface: `UserTransactionServer`
  Mark the transaction for rollback only.

  Specified by:
    `setRollbackOnly` in interface `UserTransactionServer`
  Parameters:
    `$param_String_1` - The tid of the transaction to mark.
  Throws:
    `IllegalStateException`
    `RemoteException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.